package com.terry.store.config.customproperties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 数据源配置数据
 * PropertySource 解析指定地址的配置属性文件
 *
 * @author terry
 */
@Component
@PropertySource(value = "classpath:application.properties")
public class CustomDataSource {

    @Value("${cd.driverClassName}")
    private String driverClassName;

    @Value("${cd.url}")
    private String url;

    @Value("${cd.username}")
    private String username;

    @Value("${cd.password}")
    private String password;

    public String getDriverClassName() {
        return driverClassName;
    }

    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return "CustromDataSource{" +
                "driverClassName='" + driverClassName + '\'' +
                ", url='" + url + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                '}';
    }
}
